Bug 1638968 (libneurosim) - Review Request: libneurosim - Common interfaces for neuronal simulators
Summary: Review Request: libneurosim - Common interfaces for neuronal simulators
Status: CLOSED ERRATA
Alias: libneurosim
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-10-13 15:38 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-10 03:28 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-07 06:19:16 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-10-13 15:38:57 UTC
Spec URL: https://ankursinha.fedorapeople.org/libneurosim/libneurosim.spec
SRPM URL: https://ankursinha.fedorapeople.org/libneurosim/libneurosim-0-0.201801006.gitce5cc05.fc29.src.rpm

Description:
libneurosim is a general library that provides interfaces and common utility
code for neuronal simulators.

Currently it provides the ConnectionGenerator interface.

The ConnectionGenerator API is a standard interface supporting efficient
generation of network connectivity during model setup in neuronal network
simulators. It is intended as an abstraction isolating both sides of the API:
any simulator can use a given connection generator and a given simulator can
use any library providing the ConnectionGenerator interface. It was initially
developed to support the use of libcsa from NEST.


Fedora Account System Username: ankursinha

Comment 2 Ankur Sinha (FranciscoD) 2018-10-18 17:54:51 UTC
Thanks for taking up the review Antonio. Please let me know if I can review a package for you in return.


Updated spec/srpm:
https://ankursinha.fedorapeople.org/libneurosim/libneurosim.spec

https://ankursinha.fedorapeople.org/libneurosim/libneurosim-0-0.20181018.git57b76e2.fc29.src.rpm

Rawhide scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=30313081

F29 scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=30313079

Somehow, when I flip the flag to enable the py2 build, it fails:
https://koji.fedoraproject.org/koji/taskinfo?taskID=30313102

I'm not entirely sure why it does so. Would you have any clues?


Cheers,
Ankur

Comment 3 Antonio Trande 2018-10-18 18:11:19 UTC
I made some changes to the SPEC file:

Compiler/linker flags are automatically set now; MPI compilers are now used.

Paths for Python MPI libraries are not those used, they should be $MPI_PYTHON2_SITEARCH and $MPI_PYTHON2_SITEARCH.

About debuginfo packages, all libraries look not stripped when are compiled. I left the '%global debug_package %{nil}' line, you need to ask to upstream for studying what's happing.

Where are the '%{name}-openmpi(mpich)-common = %{version}-%{release}' packages?

https://paste.fedoraproject.org/paste/GM1v~C6Y9MasgIPqH9i9AA

Comment 4 Dominik 'Rathann' Mierzejewski 2018-10-19 07:59:16 UTC
%global with_mpich 1
%global with_openmpi 1

Why do you need those at all? Is mpich or openmpi missing on some arch? If yes, just exclude the affected subpackage on that arch.

# Empty debugsources.list---not sure what to do about this
# gdb-add-index: No index was created for all created libraries
# Needs investigation at upstream level

Are Fedora build flags applied to all compiler and linker invocations?

%{_libdir}/libpy3neurosim*.so.*

This is forbidden now (https://docs.fedoraproject.org/en-US/packaging-guidelines/#_listing_shared_library_files). You must list shared libraries with explicit version so that you don't accidentally introduce (possibly) incompatible SONAME bumps when doing an update.

%files mpich
%license COPYING
%doc README.md

Arguably, it's better to split out common license files and documentation into a separate -common/-doc subpackage. Both -mpich and -openmpi could be installed in at the same time, duplicating some files.

Finally, the %build section could be factorized by not using %{_mpich_load} and %{_openmpi_load} macros, which make it difficult. See my elpa package for example: https://src.fedoraproject.org/rpms/elpa/blob/master/f/elpa.spec#_167 .

Comment 5 Ankur Sinha (FranciscoD) 2018-10-19 09:22:50 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #4)
> %global with_mpich 1
> %global with_openmpi 1
> 
> Why do you need those at all? Is mpich or openmpi missing on some arch? If
> yes, just exclude the affected subpackage on that arch.

Those really are just for convenience so that I can flip a switch to run quicker builds, and if someone wants to use the spec to test newer versions of the software without MPI etc.

> 
> # Empty debugsources.list---not sure what to do about this
> # gdb-add-index: No index was created for all created libraries
> # Needs investigation at upstream level
> 
> Are Fedora build flags applied to all compiler and linker invocations?

Yes---this was because of the way I was copying the sources for the different builds. It's fixed now. The trick is to create all copies of the source as sub-directories of the main build directory (was pointed out on the devel list).

> 
> %{_libdir}/libpy3neurosim*.so.*
> 
> This is forbidden now
> (https://docs.fedoraproject.org/en-US/packaging-guidelines/
> #_listing_shared_library_files). You must list shared libraries with
> explicit version so that you don't accidentally introduce (possibly)
> incompatible SONAME bumps when doing an update.

Ah, yes! I forgot. Fixed.

> 
> %files mpich
> %license COPYING
> %doc README.md
> 
> Arguably, it's better to split out common license files and documentation
> into a separate -common/-doc subpackage. Both -mpich and -openmpi could be
> installed in at the same time, duplicating some files.

Yes, also done. Thanks.

> 
> Finally, the %build section could be factorized by not using %{_mpich_load}
> and %{_openmpi_load} macros, which make it difficult. See my elpa package
> for example:
> https://src.fedoraproject.org/rpms/elpa/blob/master/f/elpa.spec#_167 .

Ah, that's quite nifty. I haven't used that yet---this one is quite simple enough to use these for the moment. I've got another package or two which are a lot more complex, so I'll use it there.

Thanks for all the feedback.

Comment 6 Ankur Sinha (FranciscoD) 2018-10-19 09:27:30 UTC
(In reply to Antonio Trande from comment #3)
> I made some changes to the SPEC file:
> 
> Compiler/linker flags are automatically set now; MPI compilers are now used.

Thanks---one doesn't need to export CC etc---the configure script picks those up and does it correctly (I've double checked the logs)

> 
> Paths for Python MPI libraries are not those used, they should be
> $MPI_PYTHON2_SITEARCH and $MPI_PYTHON2_SITEARCH.

These are also set by the macros used to load mpi modules:

++ MPI_BIN=/usr/lib64/mpich/bin
++ export MPI_BIN
++ MPI_COMPILER=mpich-x86_64
++ export MPI_COMPILER
++ MPI_FORTRAN_MOD_DIR=/usr/lib64/gfortran/modules/mpich
++ export MPI_FORTRAN_MOD_DIR
++ MPI_HOME=/usr/lib64/mpich
++ export MPI_HOME
++ MPI_INCLUDE=/usr/include/mpich-x86_64
++ export MPI_INCLUDE
++ MPI_LIB=/usr/lib64/mpich/lib
++ export MPI_LIB
++ MPI_MAN=/usr/share/man/mpich-x86_64
++ export MPI_MAN
++ MPI_PYTHON2_SITEARCH=/usr/lib64/python2.7/site-packages/mpich
++ export MPI_PYTHON2_SITEARCH
++ MPI_PYTHON3_SITEARCH=/usr/lib64/python3.7/site-packages/mpich
++ export MPI_PYTHON3_SITEARCH
++ MPI_PYTHON_SITEARCH=/usr/lib64/python2.7/site-packages/mpich
++ export MPI_PYTHON_SITEARCH
++ MPI_SUFFIX=_mpich
++ export MPI_SUFFIX
++ MPI_SYSCONFIG=/etc/mpich-x86_64

> 
> About debuginfo packages, all libraries look not stripped when are compiled.
> I left the '%global debug_package %{nil}' line, you need to ask to upstream
> for studying what's happing.

I've fixed this now. 

> 
> Where are the '%{name}-openmpi(mpich)-common = %{version}-%{release}'
> packages?

Ah, yes---I added a "common" subpackage as Rathann suggested. Had forgotten those. We don't need separate ones for the two mpi variants here, fortunately.


> 
> https://paste.fedoraproject.org/paste/GM1v~C6Y9MasgIPqH9i9AA


Updated spec/srpm:

https://ankursinha.fedorapeople.org/libneurosim/libneurosim-0-0.201810190941.git57b76e2.fc29.src.rpm

https://ankursinha.fedorapeople.org/libneurosim/libneurosim.spec

Thanks,
Ankur

Comment 7 Antonio Trande 2018-10-19 12:03:55 UTC
0.201810190941.git%{shortcommit}%{?dist}

Release tag starts with 1, never with 0.
What date is 201810190941?

Last srpm build is failed:

+ ./configure --disable-static --disable-silent-rules --with-python=3 --with-mpi=no --with-prefix=/usr --libdir=/usr/lib64 --includedir=/usr/include --bindir=/usr/bin --mandir=/usr/share/man
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether we are configuring for Blue Gene... no
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... no
BUILDSTDERR: configure: error: in `/builddir/build/BUILD/libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23':
BUILDSTDERR: configure: error: C compiler cannot create executables
BUILDSTDERR: See `config.log' for more details
+ exit -1

Comment 8 Ankur Sinha (FranciscoD) 2018-10-19 13:17:01 UTC
(In reply to Antonio Trande from comment #7)
> 0.201810190941.git%{shortcommit}%{?dist}
> 
> Release tag starts with 1, never with 0.

Of course---corrected.

> What date is 201810190941?

I was using YYYYMMDDHHMM, but now that I'm bumping release, I don't need to use this.

> 
> Last srpm build is failed:
> 
> + ./configure --disable-static --disable-silent-rules --with-python=3
> --with-mpi=no --with-prefix=/usr --libdir=/usr/lib64
> --includedir=/usr/include --bindir=/usr/bin --mandir=/usr/share/man
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking whether make supports nested variables... yes
> checking whether to enable maintainer-specific portions of Makefiles... no
> checking whether we are configuring for Blue Gene... no
> checking whether make supports the include directive... yes (GNU style)
> checking for gcc... gcc
> checking whether the C compiler works... no
> BUILDSTDERR: configure: error: in
> `/builddir/build/BUILD/libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23/
> libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23':
> BUILDSTDERR: configure: error: C compiler cannot create executables
> BUILDSTDERR: See `config.log' for more details
> + exit -1

Weird---I tested with scratch builds and locally with mock too and the build had succeeded. Can you link me to the failed build task? Here's a scratch build for the newest iteration that's built correctly:

https://koji.fedoraproject.org/koji/taskinfo?taskID=30331191


Updated spec/srpm:

https://ankursinha.fedorapeople.org/libneurosim/libneurosim.spec

https://ankursinha.fedorapeople.org/libneurosim/libneurosim-0-1.20181019.git57b76e2.fc29.src.rpm

Thanks,
Ankur

Comment 9 Antonio Trande 2018-10-20 15:16:27 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- MPI compilers are not used

- Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

- Python libraries are not installed into appropriate directories
  (under pythonX-sitearch) 

- Please, fix the 'incoherent-version-in-changelog' warning


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 92 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1638968-libneurosim/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/mpich-x86_64,
     /usr/include/openmpi-x86_64
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libneurosim-common , python3-libneurosim , python2-libneurosim ,
     libneurosim-openmpi , libneurosim-openmpi-devel , python3-libneurosim-
     openmpi , python2-libneurosim-openmpi , libneurosim-mpich ,
     libneurosim-mpich-devel , python3-libneurosim-mpich , python2
     -libneurosim-mpich , libneurosim-debuginfo , libneurosim-debugsource
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libneurosim-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-devel-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-common-0-1.20181019.git57b76e2.fc30.noarch.rpm
          python3-libneurosim-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          python2-libneurosim-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-openmpi-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-openmpi-devel-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          python3-libneurosim-openmpi-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          python2-libneurosim-openmpi-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-mpich-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-mpich-devel-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          python3-libneurosim-mpich-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          python2-libneurosim-mpich-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-debuginfo-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-debugsource-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-0-1.20181019.git57b76e2.fc30.src.rpm
libneurosim.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim.x86_64: W: incoherent-version-in-changelog 0-1.20181019.git57b76e22 ['0-1.20181019.git57b76e2.fc30', '0-1.20181019.git57b76e2']
libneurosim.x86_64: W: shared-lib-calls-exit /usr/lib64/libneurosim.so.0.0.0 exit@GLIBC_2.2.5
libneurosim.x86_64: W: no-documentation
libneurosim-devel.x86_64: W: no-documentation
python3-libneurosim.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python3-libneurosim.x86_64: W: no-documentation
python2-libneurosim.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python2-libneurosim.x86_64: W: no-documentation
libneurosim-openmpi.x86_64: W: summary-not-capitalized C libneurosim built with openmpi
libneurosim-openmpi.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim-openmpi.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/libneurosim.so.0.0.0 exit@GLIBC_2.2.5
libneurosim-openmpi.x86_64: W: no-documentation
libneurosim-openmpi-devel.x86_64: W: summary-not-capitalized C libneurosim built with openmpi
libneurosim-openmpi-devel.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
libneurosim-openmpi-devel.x86_64: W: no-documentation
python3-libneurosim-openmpi.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python3-libneurosim-openmpi.x86_64: W: no-documentation
python2-libneurosim-openmpi.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python2-libneurosim-openmpi.x86_64: W: no-documentation
libneurosim-mpich.x86_64: W: summary-not-capitalized C libneurosim built with mpich
libneurosim-mpich.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim-mpich.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/libneurosim.so.0.0.0 exit@GLIBC_2.2.5
libneurosim-mpich.x86_64: W: no-documentation
libneurosim-mpich-devel.x86_64: W: summary-not-capitalized C libneurosim built with mpich
libneurosim-mpich-devel.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim-mpich-devel.x86_64: W: only-non-binary-in-usr-lib
libneurosim-mpich-devel.x86_64: W: no-documentation
python3-libneurosim-mpich.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python3-libneurosim-mpich.x86_64: W: no-documentation
python2-libneurosim-mpich.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python2-libneurosim-mpich.x86_64: W: no-documentation
libneurosim.src: W: spelling-error %description -l en_US libcsa -> Lisa
16 packages and 0 specfiles checked; 0 errors, 34 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libneurosim-mpich-debuginfo-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-openmpi-debuginfo-0-1.20181019.git57b76e2.fc30.x86_64.rpm
          libneurosim-debuginfo-0-1.20181019.git57b76e2.fc30.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
libneurosim-openmpi-debuginfo.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
libneurosim-devel.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
libneurosim-devel.x86_64: W: no-documentation
python2-libneurosim-mpich.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python2-libneurosim-mpich.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy2neurosim.so.0.0.0 /usr/lib64/mpich/lib/libneurosim.so.0
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy2neurosim.so.0.0.0 /lib64/libdl.so.2
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy2neurosim.so.0.0.0 /usr/lib64/mpich/lib/libmpicxx.so.12
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy2neurosim.so.0.0.0 /usr/lib64/mpich/lib/libmpi.so.12
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy2neurosim.so.0.0.0 /lib64/libm.so.6
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy2neurosim.so.0.0.0 /lib64/libgcc_s.so.1
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpyneurosim.so.0.0.0 /usr/lib64/mpich/lib/libneurosim.so.0
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpyneurosim.so.0.0.0 /lib64/libdl.so.2
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpyneurosim.so.0.0.0 /usr/lib64/mpich/lib/libmpicxx.so.12
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpyneurosim.so.0.0.0 /usr/lib64/mpich/lib/libmpi.so.12
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpyneurosim.so.0.0.0 /lib64/libm.so.6
python2-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpyneurosim.so.0.0.0 /lib64/libgcc_s.so.1
python2-libneurosim-mpich.x86_64: W: no-documentation
libneurosim-openmpi-devel.x86_64: W: summary-not-capitalized C libneurosim built with openmpi
libneurosim-openmpi-devel.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim-openmpi-devel.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
libneurosim-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
libneurosim-openmpi-devel.x86_64: W: no-documentation
python2-libneurosim-openmpi.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python2-libneurosim-openmpi.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy2neurosim.so.0.0.0 /usr/lib64/openmpi/lib/libneurosim.so.0
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy2neurosim.so.0.0.0 /lib64/libdl.so.2
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy2neurosim.so.0.0.0 /usr/lib64/openmpi/lib/libmpi_cxx.so.20
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy2neurosim.so.0.0.0 /usr/lib64/openmpi/lib/libmpi.so.20
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy2neurosim.so.0.0.0 /lib64/libm.so.6
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy2neurosim.so.0.0.0 /lib64/libpthread.so.0
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpyneurosim.so.0.0.0 /usr/lib64/openmpi/lib/libneurosim.so.0
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpyneurosim.so.0.0.0 /lib64/libdl.so.2
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpyneurosim.so.0.0.0 /usr/lib64/openmpi/lib/libmpi_cxx.so.20
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpyneurosim.so.0.0.0 /usr/lib64/openmpi/lib/libmpi.so.20
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpyneurosim.so.0.0.0 /lib64/libm.so.6
python2-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpyneurosim.so.0.0.0 /lib64/libpthread.so.0
python2-libneurosim-openmpi.x86_64: W: no-documentation
libneurosim-debugsource.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
libneurosim-debuginfo.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
python3-libneurosim.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python3-libneurosim.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
python3-libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpy3neurosim.so.0.0.0 /lib64/libneurosim.so.0
python3-libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpy3neurosim.so.0.0.0 /lib64/libdl.so.2
python3-libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpy3neurosim.so.0.0.0 /lib64/libm.so.6
python3-libneurosim.x86_64: W: no-documentation
libneurosim-mpich-debuginfo.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
libneurosim-mpich-devel.x86_64: W: summary-not-capitalized C libneurosim built with mpich
libneurosim-mpich-devel.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim-mpich-devel.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
libneurosim-mpich-devel.x86_64: W: only-non-binary-in-usr-lib
libneurosim-mpich-devel.x86_64: W: no-documentation
libneurosim-mpich.x86_64: W: summary-not-capitalized C libneurosim built with mpich
libneurosim-mpich.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim-mpich.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libneurosim.so.0.0.0 /usr/lib64/mpich/lib/libmpicxx.so.12
libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libneurosim.so.0.0.0 /usr/lib64/mpich/lib/libmpi.so.12
libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libneurosim.so.0.0.0 /lib64/libm.so.6
libneurosim-mpich.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/libneurosim.so.0.0.0 exit@GLIBC_2.2.5
libneurosim-mpich.x86_64: W: no-documentation
python3-libneurosim-openmpi.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python3-libneurosim-openmpi.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
python3-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy3neurosim.so.0.0.0 /usr/lib64/openmpi/lib/libneurosim.so.0
python3-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy3neurosim.so.0.0.0 /lib64/libdl.so.2
python3-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy3neurosim.so.0.0.0 /usr/lib64/openmpi/lib/libmpi_cxx.so.20
python3-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy3neurosim.so.0.0.0 /usr/lib64/openmpi/lib/libmpi.so.20
python3-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy3neurosim.so.0.0.0 /lib64/libm.so.6
python3-libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libpy3neurosim.so.0.0.0 /lib64/libpthread.so.0
python3-libneurosim-openmpi.x86_64: W: no-documentation
libneurosim-common.noarch: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
python2-libneurosim.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python2-libneurosim.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
python2-libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpy2neurosim.so.0.0.0 /lib64/libneurosim.so.0
python2-libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpy2neurosim.so.0.0.0 /lib64/libdl.so.2
python2-libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpy2neurosim.so.0.0.0 /lib64/libm.so.6
python2-libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpyneurosim.so.0.0.0 /lib64/libneurosim.so.0
python2-libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpyneurosim.so.0.0.0 /lib64/libdl.so.2
python2-libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpyneurosim.so.0.0.0 /lib64/libm.so.6
python2-libneurosim.x86_64: W: no-documentation
libneurosim.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim.x86_64: W: incoherent-version-in-changelog 0-1.20181019.git57b76e22 ['0-1.20181019.git57b76e2.fc30', '0-1.20181019.git57b76e2']
libneurosim.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
libneurosim.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libneurosim.so.0.0.0 /lib64/libm.so.6
libneurosim.x86_64: W: shared-lib-calls-exit /usr/lib64/libneurosim.so.0.0.0 exit@GLIBC_2.2.5
libneurosim.x86_64: W: no-documentation
python3-libneurosim-mpich.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
python3-libneurosim-mpich.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
python3-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy3neurosim.so.0.0.0 /usr/lib64/mpich/lib/libneurosim.so.0
python3-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy3neurosim.so.0.0.0 /lib64/libdl.so.2
python3-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy3neurosim.so.0.0.0 /usr/lib64/mpich/lib/libmpicxx.so.12
python3-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy3neurosim.so.0.0.0 /usr/lib64/mpich/lib/libmpi.so.12
python3-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy3neurosim.so.0.0.0 /lib64/libm.so.6
python3-libneurosim-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libpy3neurosim.so.0.0.0 /lib64/libgcc_s.so.1
python3-libneurosim-mpich.x86_64: W: no-documentation
libneurosim-openmpi.x86_64: W: summary-not-capitalized C libneurosim built with openmpi
libneurosim-openmpi.x86_64: W: spelling-error %description -l en_US libcsa -> Lisa
libneurosim-openmpi.x86_64: W: invalid-url URL: https://github.com/INCF/libneurosim <urlopen error [Errno -2] Name or service not known>
libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libneurosim.so.0.0.0 /usr/lib64/openmpi/lib/libmpi_cxx.so.20
libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libneurosim.so.0.0.0 /usr/lib64/openmpi/lib/libmpi.so.20
libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libneurosim.so.0.0.0 /lib64/libm.so.6
libneurosim-openmpi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/openmpi/lib/libneurosim.so.0.0.0 /lib64/libpthread.so.0
libneurosim-openmpi.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/libneurosim.so.0.0.0 exit@GLIBC_2.2.5
libneurosim-openmpi.x86_64: W: no-documentation
17 packages and 0 specfiles checked; 0 errors, 103 warnings.



Requires
--------
libneurosim-devel (rpmlib, GLIBC filtered):
    libneurosim(x86-64)
    libneurosim.so.0()(64bit)
    libpy2neurosim.so.0()(64bit)
    libpy3neurosim.so.0()(64bit)
    libpyneurosim.so.0()(64bit)

python2-libneurosim-mpich (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libmpi.so.12()(64bit)(mpich-x86_64)
    libmpicxx.so.12()(64bit)(mpich-x86_64)
    libneurosim-common
    libneurosim.so.0()(64bit)(mpich-x86_64)
    libstdc++.so.6()(64bit)
    mpich
    rtld(GNU_HASH)

libneurosim-openmpi-devel (rpmlib, GLIBC filtered):
    libneurosim-openmpi(x86-64)
    libneurosim.so.0()(64bit)(openmpi-x86_64)
    libpy2neurosim.so.0()(64bit)(openmpi-x86_64)
    libpy3neurosim.so.0()(64bit)(openmpi-x86_64)
    libpyneurosim.so.0()(64bit)(openmpi-x86_64)
    openmpi

python2-libneurosim-openmpi (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpi.so.20()(64bit)(openmpi-x86_64)
    libmpi_cxx.so.20()(64bit)(openmpi-x86_64)
    libneurosim-common
    libneurosim.so.0()(64bit)(openmpi-x86_64)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    openmpi
    rtld(GNU_HASH)

libneurosim-debugsource (rpmlib, GLIBC filtered):

libneurosim-debuginfo (rpmlib, GLIBC filtered):

python3-libneurosim (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libneurosim-common
    libneurosim.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

libneurosim-mpich-devel (rpmlib, GLIBC filtered):
    libneurosim-mpich(x86-64)
    libneurosim.so.0()(64bit)(mpich-x86_64)
    libpy2neurosim.so.0()(64bit)(mpich-x86_64)
    libpy3neurosim.so.0()(64bit)(mpich-x86_64)
    libpyneurosim.so.0()(64bit)(mpich-x86_64)
    mpich

libneurosim-mpich (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpi.so.12()(64bit)(mpich-x86_64)
    libmpicxx.so.12()(64bit)(mpich-x86_64)
    libneurosim-common
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    mpich
    rtld(GNU_HASH)

python3-libneurosim-openmpi (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpi.so.20()(64bit)(openmpi-x86_64)
    libmpi_cxx.so.20()(64bit)(openmpi-x86_64)
    libneurosim-common
    libneurosim.so.0()(64bit)(openmpi-x86_64)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    openmpi
    rtld(GNU_HASH)

libneurosim-common (rpmlib, GLIBC filtered):

python2-libneurosim (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libneurosim-common
    libneurosim.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

libneurosim (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libneurosim-common
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

python3-libneurosim-mpich (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libmpi.so.12()(64bit)(mpich-x86_64)
    libmpicxx.so.12()(64bit)(mpich-x86_64)
    libneurosim-common
    libneurosim.so.0()(64bit)(mpich-x86_64)
    libstdc++.so.6()(64bit)
    mpich
    rtld(GNU_HASH)

libneurosim-openmpi (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpi.so.20()(64bit)(openmpi-x86_64)
    libmpi_cxx.so.20()(64bit)(openmpi-x86_64)
    libneurosim-common
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    openmpi
    rtld(GNU_HASH)



Provides
--------
libneurosim-devel:
    libneurosim-devel
    libneurosim-devel(x86-64)

python2-libneurosim-mpich:
    libpy2neurosim.so.0()(64bit)(mpich-x86_64)
    libpyneurosim.so.0()(64bit)(mpich-x86_64)
    python-libneurosim-mpich
    python2-libneurosim-mpich
    python2-libneurosim-mpich(x86-64)

libneurosim-openmpi-devel:
    libneurosim-openmpi-devel
    libneurosim-openmpi-devel(x86-64)

python2-libneurosim-openmpi:
    libpy2neurosim.so.0()(64bit)(openmpi-x86_64)
    libpyneurosim.so.0()(64bit)(openmpi-x86_64)
    python-libneurosim-openmpi
    python2-libneurosim-openmpi
    python2-libneurosim-openmpi(x86-64)

libneurosim-debugsource:
    libneurosim-debugsource
    libneurosim-debugsource(x86-64)

libneurosim-debuginfo:
    debuginfo(build-id)
    libneurosim-debuginfo
    libneurosim-debuginfo(x86-64)

python3-libneurosim:
    libpy3neurosim.so.0()(64bit)
    python3-libneurosim
    python3-libneurosim(x86-64)

libneurosim-mpich-devel:
    libneurosim-mpich-devel
    libneurosim-mpich-devel(x86-64)

libneurosim-mpich:
    libneurosim-mpich
    libneurosim-mpich(x86-64)
    libneurosim.so.0()(64bit)(mpich-x86_64)

python3-libneurosim-openmpi:
    libpy3neurosim.so.0()(64bit)(openmpi-x86_64)
    python3-libneurosim-openmpi
    python3-libneurosim-openmpi(x86-64)

libneurosim-common:
    libneurosim-common

python2-libneurosim:
    libpy2neurosim.so.0()(64bit)
    libpyneurosim.so.0()(64bit)
    python-libneurosim
    python2-libneurosim
    python2-libneurosim(x86-64)

libneurosim:
    libneurosim
    libneurosim(x86-64)
    libneurosim.so.0()(64bit)

python3-libneurosim-mpich:
    libpy3neurosim.so.0()(64bit)(mpich-x86_64)
    python3-libneurosim-mpich
    python3-libneurosim-mpich(x86-64)

libneurosim-openmpi:
    libneurosim-openmpi
    libneurosim-openmpi(x86-64)
    libneurosim.so.0()(64bit)(openmpi-x86_64)



Source checksums
----------------
https://github.com/INCF/libneurosim/archive/57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-57b76e2.tar.gz :
  CHECKSUM(SHA256) this package     : c011a9d948802752895dcdc7167dc80f3ba1894aeb2c96e2359061c6206930bc
  CHECKSUM(SHA256) upstream package : c011a9d948802752895dcdc7167dc80f3ba1894aeb2c96e2359061c6206930bc


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-mpich-py2/configure.ac:189,
  libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-py2/configure.ac:189, libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-mpich/configure.ac:189,
  libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-openmpi/configure.ac:189,
  libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-openmpi-py2/configure.ac:189,
  libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23/configure.ac:189
  AM_CONFIG_HEADER found in: libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-mpich-py2/configure.ac:4,
  libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-py2/configure.ac:4, libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-mpich/configure.ac:4, libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-openmpi/configure.ac:4,
  libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23-openmpi-py2/configure.ac:4,
  libneurosim-57b76e222dd3196fa3c97ddfa2f8132627814c23/libneurosim-
  57b76e222dd3196fa3c97ddfa2f8132627814c23/configure.ac:4


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1638968
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 Ankur Sinha (FranciscoD) 2018-10-25 15:07:08 UTC
Thanks for the review, Antonio.

(In reply to Antonio Trande from comment #9)
> Issues:
> =======
> - MPI compilers are not used

I double checked. They are. The mpi compilers are wrapper scripts that invoke gcc while using the required flags:

$ mpicc --help # gives gcc help

$ mpicc -show
gcc -m64 -O2 -fPIC -Wl,-z,noexecstack -I/usr/include/mpich-x86_64 -L/usr/lib64/mpich/lib -Wl,-rpath -Wl,/usr/lib64/mpich/lib -Wl,--enable-new-dtags -lmpi

Autotools sets it all up for us correctly.

>
> - Package should not use obsolete m4 macros
>      Note: Some obsoleted macros found, see the attachment.
>      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

I've filed an issue upstream, and added a comment in the spec:
https://github.com/INCF/libneurosim/issues/11

The FedoraReview wiki page is missing, since fedorahosted is no more. I haven't been able to find any other information, unfortunately.
https://pagure.io/FedoraReview/issue/309

>
> - Python libraries are not installed into appropriate directories
>   (under pythonX-sitearch)

I've corrected this. Also submitted a PR upstream:
https://github.com/INCF/libneurosim/pull/14

> - Please, fix the 'incoherent-version-in-changelog' warning

Done.

Here's a scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=30456134

Spec/srpm:
https://ankursinha.fedorapeople.org/libneurosim/libneurosim.spec

https://ankursinha.fedorapeople.org/libneurosim/libneurosim-0-1.20181025.git7d074da.fc29.src.rpm

Cheers,
Ankur

Comment 11 Ankur Sinha (FranciscoD) 2018-10-25 15:21:23 UTC
Newer scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=30456480

Comment 12 Antonio Trande 2018-10-25 16:15:34 UTC
Package approved.

Comment 13 Gwyn Ciesla 2018-10-25 18:08:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libneurosim

Comment 14 Fedora Update System 2018-10-25 18:44:50 UTC
libneurosim-0-1.20181025.git7d074da.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ad868fca5

Comment 15 Fedora Update System 2018-10-25 18:45:33 UTC
libneurosim-0-1.20181025.git7d074da.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-31177d5560

Comment 16 Fedora Update System 2018-10-25 22:35:50 UTC
libneurosim-0-1.20181025.git7d074da.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-31177d5560

Comment 17 Fedora Update System 2018-10-28 09:28:48 UTC
libneurosim-0-2.20181028.git7d074da.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-31177d5560

Comment 18 Fedora Update System 2018-10-28 09:29:37 UTC
libneurosim-0-2.20181028.git7d074da.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1fc41a6b7a

Comment 19 Fedora Update System 2018-10-28 18:47:24 UTC
libneurosim-0-2.20181028.git7d074da.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1fc41a6b7a

Comment 20 Fedora Update System 2018-10-28 18:54:31 UTC
libneurosim-0-2.20181028.git7d074da.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-31177d5560

Comment 21 Fedora Update System 2018-10-31 18:49:01 UTC
libneurosim-0-2.20181028.git7d074da.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ad868fca5

Comment 22 Fedora Update System 2018-11-07 06:19:16 UTC
libneurosim-0-2.20181028.git7d074da.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-11-10 03:17:09 UTC
libneurosim-0-2.20181028.git7d074da.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2018-11-10 03:28:54 UTC
libneurosim-0-2.20181028.git7d074da.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.